SystemOrganization addCategory: #Bundleview!

Object subclass: #FirstClass
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Bundleview'!

!FirstClass methodsFor: 'as yet unclassified' stamp: 'SL 10/18/2012 17:03'!
countBackwards: x
	"counts a given number backwards till zero"
	| temp |
	temp := x.
	[temp > 0] whileTrue: [
		temp := temp - 1.
		Transcript show: temp
	].! !

!FirstClass methodsFor: 'as yet unclassified' stamp: 'SL 10/19/2012 14:00'!
drawACircleAt: aPoint
	"drawing a circle."
	| morph size |
	size := 20.
	morph := CircleMorph new.
	morph bounds: (Rectangle origin: (aPoint - ((size@size)/2)) extent: (size@size)).
	morph color: Color random.
	"morph setVertices: (OrderedCollection with: 100@100 with: 200@100 with: 100@200).
	morph color: (Color h: 40 s: 0.7 v: 0.6 alpha: 0.5).
	morph borderWidth: 5.
	morph borderColor:  (Color h: 170 s: 0.7 v: 0.6 alpha: 0.6).
	morph makeOpen."
	morph openInWorld.! !

!FirstClass methodsFor: 'as yet unclassified' stamp: 'SL 10/19/2012 14:24'!
drawALineFrom: aPoint To: anotherPoint
	"drawing a circle."
	| morph |
	morph := LineMorph from: aPoint to: anotherPoint color: Color black width: 2.
	morph openInWorld.! !

!FirstClass methodsFor: 'as yet unclassified' stamp: 'SL 10/19/2012 13:30'!
drawAPolyLine
	"showcase for drawing a polygon line."
	| morph |
	morph := PolygonMorph new.
	morph setVertices: (OrderedCollection with: 100@100 with: 200@100 with: 100@200).
	morph color: (Color h: 40 s: 0.7 v: 0.6 alpha: 0.5).
	morph borderWidth: 5.
	morph borderColor:  (Color h: 170 s: 0.7 v: 0.6 alpha: 0.6).
	morph makeOpen.
	morph openInWorld.! !

!FirstClass methodsFor: 'as yet unclassified' stamp: 'SL 10/17/2012 15:57'!
firstMethod
	^self.! !

Object subclass: #Node
	instanceVariableNames: 'children parent relations'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Bundleview'!

!Node commentStamp: 'CR 10/19/2012 10:33' prior: 0!
A Node is a part of a graph data structure. It knows its parent and its children as well of all relations that connect the node to an other node.

Instance Variables
	children:		<Object>
	parent:		<Object>
	relations:		<Object>

children
	- xxxxx

parent
	- xxxxx

relations
	- xxxxx
!

!Node methodsFor: 'accessing' stamp: 'CR 10/19/2012 10:12'!
addChild: aChild
	children add: aChild.! !

!Node methodsFor: 'accessing' stamp: 'CR 10/19/2012 10:29'!
addRelation: aRelation
	relations add: aRelation.! !

!Node methodsFor: 'accessing' stamp: 'CR 10/19/2012 10:24'!
children
	^children! !

!Node methodsFor: 'initializing' stamp: 'CR 10/19/2012 10:29'!
initialize
	super initialize.
	children := OrderedCollection new.
	relations := OrderedCollection new.! !

!Node methodsFor: 'accessing' stamp: 'CR 10/19/2012 10:13'!
parent
	"Answer the value of parent"

	^ parent! !

!Node methodsFor: 'accessing' stamp: 'CR 10/19/2012 10:14'!
parent: anObject
	"Set the value of parent"

	parent := anObject! !

!Node methodsFor: 'accessing' stamp: 'CR 10/19/2012 10:30'!
relations
	^relations! !

Object subclass: #Relation
	instanceVariableNames: 'source destination'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Bundleview'!

!Relation commentStamp: 'CR 10/19/2012 10:34' prior: 0!
A Relation describes an usally non hierarchical connection between two nodes.

Instance Variables
	destination:		<Object>
	source:		<Object>

destination
	- xxxxx

source
	- xxxxx
!

!Relation methodsFor: 'accessing' stamp: 'CR 10/19/2012 10:28'!
destination
	"Answer the value of destination"

	^ destination! !

!Relation methodsFor: 'accessing' stamp: 'CR 10/19/2012 10:28'!
destination: anObject
	"Set the value of destination"

	destination := anObject! !

!Relation methodsFor: 'accessing' stamp: 'CR 10/19/2012 10:28'!
source
	"Answer the value of source"

	^ source! !

!Relation methodsFor: 'accessing' stamp: 'CR 10/19/2012 10:28'!
source: anObject
	"Set the value of source"

	source := anObject! !
